<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Dapper" Version="2.0.35" />
    <PackageReference Include="MassTransit.RabbitMQ" Version="6.3.2" />
    <PackageReference Include="Microsoft.AspNet.SignalR.Client" Version="2.4.1" />
    <PackageReference Include="Microsoft.AspNetCore" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Http" Version="2.2.2" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="3.1.6" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="3.1.6" />
    <PackageReference Include="Npgsql" Version="4.1.4" />
    <PackageReference Include="RabbitMQ.Client" Version="5.2.0" />
    <PackageReference Include="RestSharp" Version="106.11.4" />
    <PackageReference Include="SimpleImpersonation" Version="3.0.0" />
    <PackageReference Include="Topshelf" Version="4.2.1" />
    <PackageReference Include="Topshelf.Log4Net" Version="4.2.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Message.MessageTypes\Message.MessageTypes.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Appsettings.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
